#pragma once
#include <iostream>
#include <vector>

using namespace std;

class Attribute{
	vector<string> values;
	string name;
	string type;
	bool key;
	int size;
	
public:
	Attribute();
	Attribute(string n, string t, bool k);
	void addCell(string v);
	void removeCell(int index);
	string operator[](int i);
	vector<string> getValues();
	string getName();
	void setName(string s);
	string getType();
	bool isKey();
	int getSize();
	void display();
	void clearAllValues();
};